Guardium Data Encryption IBM Guardium Data Encryption

Do you want an email whenever new security vulnerabilities are reported in IBM Guardium Data Encryption?

By the Year

In 2022 there have been 8 vulnerabilities in IBM Guardium Data Encryption with an average score of 6.2 out of ten. Last year Guardium Data Encryption had 8 security vulnerabilities published. If vulnerabilities keep coming in at the current rate, it appears that number of security vulnerabilities in Guardium Data Encryption in 2022 could surpass last years number. Last year, the average CVE base score was greater by 0.11

Year Vulnerabilities Average Score
2022 8 6.15
2021 8 6.26
2020 0 0.00
2019 0 0.00
2018 0 0.00

It may take a day or so for new Guardium Data Encryption vulnerabilities to show up in the stats or in the list of recent security vulnerabilties. Additionally vulnerabilities may be tagged under a different product or component name.

Recent IBM Guardium Data Encryption Security Vulnerabilities

IBM Guardium Data Encryption (GDE) 4.0.0.0 and 5.0.0.0 is vulnerable to cross-site scripting

CVE-2021-39024 6.1 - Medium - May 10, 2022

IBM Guardium Data Encryption (GDE) 4.0.0.0 and 5.0.0.0 is vulnerable to cross-site scripting. This vulnerability allows users to embed arbitrary JavaScript code in the Web UI thus altering the intended functionality potentially leading to credentials disclosure within a trusted session. IBM X-Force ID: 213862.

XSS

IBM Guardium Data Encryption (GDE) 4.0.0 and 5.0.0 prepares a structured message for communication with another component

CVE-2021-39027 5 - Medium - May 06, 2022

IBM Guardium Data Encryption (GDE) 4.0.0 and 5.0.0 prepares a structured message for communication with another component, but encoding or escaping of the data is either missing or done incorrectly. As a result, the intended structure of the message is not preserved. IBM X-Force ID: 213865.

Output Sanitization

IBM Guardium Data Encryption (GDE) 4.0.0 and 5.0.0 could

CVE-2021-39023 7.5 - High - May 06, 2022

IBM Guardium Data Encryption (GDE) 4.0.0 and 5.0.0 could allow a remote attacker to obtain sensitive information when a detailed technical error message is returned in the browser. This information could be used in further attacks against the system. IBM X-Force ID: 213860.

Generation of Error Message Containing Sensitive Information

IBM Guardium Data Encryption (GDE) 4.0.0.7 and lower stores sensitive information in URL parameters

CVE-2021-39020 5.3 - Medium - May 05, 2022

IBM Guardium Data Encryption (GDE) 4.0.0.7 and lower stores sensitive information in URL parameters. This may lead to information disclosure if unauthorized parties have access to the URLs via server logs, referrer header or browser history. IBM X-Force ID: 213855.

Information Disclosure

IBM Guardium Data Encryption (GDE) 4.0.0.0 and 5.0.0.0 could disclose internal IP address information when the web backend is down

CVE-2021-39025 5.3 - Medium - March 10, 2022

IBM Guardium Data Encryption (GDE) 4.0.0.0 and 5.0.0.0 could disclose internal IP address information when the web backend is down. IBM X-Force 213863.

Information Disclosure

IBM Guardium Data Encryption (GDE) 4.0.0.0 and 5.0.0.0 saves user-provided information into a Comma-Separated Value (CSV) file, but it does not neutralize or incorrectly neutralizes special elements

CVE-2021-39022 8.8 - High - March 10, 2022

IBM Guardium Data Encryption (GDE) 4.0.0.0 and 5.0.0.0 saves user-provided information into a Comma-Separated Value (CSV) file, but it does not neutralize or incorrectly neutralizes special elements that could be interpreted as a command when the file is opened by spreadsheet software. IBM X-Force ID: 213858.

CSV Injection

IBM Guardium Data Encryption (GDE) 5.0.0.2 and 5.0.0.3 could

CVE-2021-39026 5.9 - Medium - February 18, 2022

IBM Guardium Data Encryption (GDE) 5.0.0.2 and 5.0.0.3 could allow a remote attacker to obtain sensitive information, caused by the failure to properly enable HTTP Strict Transport Security. An attacker could exploit this vulnerability to obtain sensitive information using man in the middle techniques. IBM X-Force ID: 213964.

Insufficiently Protected Credentials

IBM Guardium Data Encryption (GDE) 5.0.0.2 behaves differently or sends different responses under different circumstances in a way

CVE-2021-39021 5.3 - Medium - February 02, 2022

IBM Guardium Data Encryption (GDE) 5.0.0.2 behaves differently or sends different responses under different circumstances in a way that is observable to an unauthorized actor, which could facilitate username enumeration. IBM X-Force ID: 213856.

Side Channel Attack

IBM Guardium Data Encryption (GDE) 3.0.0.2 could

CVE-2021-20414 4.9 - Medium - July 12, 2021

IBM Guardium Data Encryption (GDE) 3.0.0.2 could allow a user to bruce force sensitive information due to not properly limiting the number of interactions. IBM X-Force ID: 196216.

IBM Guardium Data Encryption (GDE) 4.0.0.4 could

CVE-2021-20417 4.3 - Medium - July 07, 2021

IBM Guardium Data Encryption (GDE) 4.0.0.4 could allow a remote attacker to obtain sensitive information when a detailed technical error message is returned in the browser. This information could be used in further attacks against the system. IBM X-Force ID: 196219

Generation of Error Message Containing Sensitive Information

IBM Guardium Data Encryption (GDE) 3.0.0.3 and 4.0.0.4 could

CVE-2021-20416 5.3 - Medium - July 07, 2021

IBM Guardium Data Encryption (GDE) 3.0.0.3 and 4.0.0.4 could allow a remote attacker to obtain sensitive information, caused by the failure to set the HTTPOnly flag. A remote attacker could exploit this vulnerability to obtain sensitive information from the cookie. IBM X-Force ID: 196218.

Exposure of Resource to Wrong Sphere

IBM Guardium Data Encryption (GDE) 4.0.0.4 uses an inadequate account lockout setting

CVE-2021-20415 7.5 - High - July 07, 2021

IBM Guardium Data Encryption (GDE) 4.0.0.4 uses an inadequate account lockout setting that could allow a remote attacker to brute force account credentials. IBM X-Force ID: 196217.

Insufficiently Protected Credentials

IBM Guardium Data Encryption (GDE) 3.0.0.3 and 4.0.0.4 uses weaker than expected cryptographic algorithms

CVE-2021-20379 7.5 - High - July 07, 2021

IBM Guardium Data Encryption (GDE) 3.0.0.3 and 4.0.0.4 uses weaker than expected cryptographic algorithms that could allow an attacker to decrypt highly sensitive information. IBM X-Force ID: 195711.

Use of a Broken or Risky Cryptographic Algorithm

IBM Guardium Data Encryption (GDE) 3.0.0.2 and 4.0.0.4 does not invalidate session after logout which could

CVE-2021-20378 8.8 - High - July 07, 2021

IBM Guardium Data Encryption (GDE) 3.0.0.2 and 4.0.0.4 does not invalidate session after logout which could allow an authenticated user to impersonate another user on the system. IBM X-Force ID: 195709.

Insufficient Session Expiration

IBM Guardium Data Encryption (GDE) 3.0.0.2 and 4.0.0.4 does not perform any authentication for functionality

CVE-2021-20474 7.5 - High - July 07, 2021

IBM Guardium Data Encryption (GDE) 3.0.0.2 and 4.0.0.4 does not perform any authentication for functionality that requires a provable user identity or consumes a significant amount of resources.

Missing Authentication for Critical Function

IBM Guardium Data Encryption (GDE) 4.0.0.4 could

CVE-2021-20413 4.3 - Medium - June 28, 2021

IBM Guardium Data Encryption (GDE) 4.0.0.4 could allow a remote attacker to obtain sensitive information when a detailed technical error message is returned in the browser. This information could be used in further attacks against the system. IBM X-Force ID: 196212.

Generation of Error Message Containing Sensitive Information

Stay on top of Security Vulnerabilities

Want an email whenever new vulnerabilities are published for IBM Guardium Data Encryption or by IBM? Click the Watch button to subscribe.

IBM
Vendor

subscribe